DK API 文档

weibo 04

11 个接口

GETfetch user following

GET https://dkai.store/api/v1/weibo/web_v2/fetch_user_following

1 积分 / 成功调用

参数位置要求说明
uidquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/weibo/web_v2/fetch_user_following?uid=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user info

GET https://dkai.store/api/v1/weibo/web_v2/fetch_user_info

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/weibo/web_v2/fetch_user_info'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user original posts

GET https://dkai.store/api/v1/weibo/web_v2/fetch_user_original_posts

1 积分 / 成功调用

参数位置要求说明
uidquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/weibo/web_v2/fetch_user_original_posts?uid=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user posts

GET https://dkai.store/api/v1/weibo/web_v2/fetch_user_posts

1 积分 / 成功调用

参数位置要求说明
uidquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/weibo/web_v2/fetch_user_posts?uid=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user recommend timeline

GET https://dkai.store/api/v1/weibo/web_v2/fetch_user_recommend_timeline

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/weibo/web_v2/fetch_user_recommend_timeline'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user video collection detail

GET https://dkai.store/api/v1/weibo/web_v2/fetch_user_video_collection_detail

1 积分 / 成功调用

参数位置要求说明
cidquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/weibo/web_v2/fetch_user_video_collection_detail?cid=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user video collection list

GET https://dkai.store/api/v1/weibo/web_v2/fetch_user_video_collection_list

1 积分 / 成功调用

参数位置要求说明
uidquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/weibo/web_v2/fetch_user_video_collection_list?uid=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user video list

GET https://dkai.store/api/v1/weibo/web_v2/fetch_user_video_list

1 积分 / 成功调用

参数位置要求说明
uidquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/weibo/web_v2/fetch_user_video_list?uid=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETsearch user posts

GET https://dkai.store/api/v1/weibo/web_v2/search_user_posts

1 积分 / 成功调用

参数位置要求说明
uidquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/weibo/web_v2/search_user_posts?uid=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。